// This is the class, where we add additional functionality to Player HUD.
// Currently we draw NavPoints names above them nad player location
class AVCR_HUD extends HudBase;

var bool bDisplayHelp;
var bool bDisplayHud;
var float shift;


function PostRender(Canvas C)
{
	local float ScreenLocX, ScreenLocY;
	local string temp;

	if (!bDisplayHud)
		return;

	ScreenLocX = 25;
	ScreenLocY = 40;
    SetFont(C);

    C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("AVCR Experiment",true);

   	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("Goal shown before start "$AVCRxPlayer(PlayerOwner).ClientGoalBeforeStart,true);

   	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("Goal shown after end "$AVCRxPlayer(PlayerOwner).ClientGoalAfterEnd,true);

   	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("Beeping is "$AVCRxPlayer(PlayerOwner).ClientBeeping,true);

   	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("MarkHeight is "$AVCRxPlayer(PlayerOwner).ClientMarkHeight,true);

	if (PlayerOwner.Pawn != none)
	{
	   	ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("PlayerSpeed is "$PlayerOwner.Pawn.GroundSpeed,true);
	}


	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);

	temp = "ExperimentState: Experiment not started (press HOME or 1 or 2 or 3 or 4 to start)";
	if ( AVCRxPlayer(PlayerOwner).ClientExperimentState == 1)
		temp = "ExperimentState: EXPERIMENT "$AVCRxPlayer(PlayerOwner).ClientExperimentCount$" INITIATING!";

	if ( AVCRxPlayer(PlayerOwner).ClientExperimentState == 2)
		temp = "ExperimentState: EXPERIMENT "$AVCRxPlayer(PlayerOwner).ClientExperimentCount$" STARTING!";

	if ( AVCRxPlayer(PlayerOwner).ClientExperimentState == 3)
		temp = "ExperimentState: EXPERIMENT "$AVCRxPlayer(PlayerOwner).ClientExperimentCount$" RUNNING!";

	if ( AVCRxPlayer(PlayerOwner).ClientExperimentState == 4)
		temp = "ExperimentState: EXPERIMENT "$AVCRxPlayer(PlayerOwner).ClientExperimentCount$" END!";

	C.DrawText(temp,true);

   	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("ALT + G enables/disables all text here",true);

	ScreenLocY += shift;
	C.SetPos(ScreenLocX, ScreenLocY);
	C.DrawText("ALT + H enables/disables help ",true);

	if (bDisplayHelp)
	{
		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("HOME - for experiment start, for confirming you have reached the red dot and for marking you have reached the position of the goal.",true);
		 /*
		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + S for chaning of showing the goal before start.",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + E for chaning of showing the goal after end.",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + B for turning on/off beeping",true);
		   */
		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + R for reseting experiment number back to 0",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + PageUp for setting ExperimentCount + 1",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + PageDown for setting ExperimentCount - 1",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + '[' or ']' for decreasing or increasing of the movement speed.",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + '=' or '-' for increasing/decresing the height of the marks.",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + G for toggling on and off of displaying of all of the text here.",true);

		ScreenLocY += shift;
		C.SetPos(ScreenLocX, ScreenLocY);
		C.DrawText("ALT + H for toggling on and off this help.",true);

	}

}

function SetFont(Canvas C)
{
	C.DrawColor = class'Canvas'.Static.MakeColor(0,155,55);


    if (C.SizeX <= 800)
	{
		shift = 15;
		C.Font = C.SmallFont;
		C.FontScaleX=1;
		C.FontScaleY=1;
	}
	else
	{
		shift = 25;
		C.Font = C.MedFont;
		C.FontScaleX=1;
		C.FontScaleY=1;
	}

}

defaultproperties
{
	bDisplayHud=false;
}
