class AVCR_Interaction extends Interaction;

var HUD MyHUD;

var private bool bPressedLeft;
var private bool bPressedRight;
var private bool bPressedAlt;

var int KeyLeft, KeyRight;

event Initialized()
{
	ViewportOwner.Actor.MyHUD.bCrosshairShow = false;
	ViewportOwner.Actor.ConsoleCommand("set Engine.PlayerInput bEnableDodging false", true );
    MyHUD = ViewportOwner.Actor.spawn(class'AVCR.AVCR_HUD', ViewportOwner.Actor);
    AVCR_HUD(MyHUD).bDisplayHud = true;
}

function bool KeyEvent(EInputKey Key, EInputAction Action, FLOAT Delta )
{
	local string tmp;

	log("We are in KeyEvent");

	if (Key == IK_Alt)
    	if (Action == IST_Press)
			bPressedAlt = True;
    	else if (Action == IST_Release)
			bPressedAlt = False;

	 if (bPressedAlt && Action == IST_Press)
	 {
		switch (Key)
		{
			/*
			case IK_B:
				AVCRxPlayer(ViewportOwner.Actor).Beeping();
			break;
		    case IK_S:
				AVCRxPlayer(ViewportOwner.Actor).ShowGoalBeforeStart();
			break;
			case IK_E:
				AVCRxPlayer(ViewportOwner.Actor).ShowGoalAfterEnd();
			break;	*/
		    case IK_H:
		    	AVCR_HUD(MyHUD).bDisplayHelp=!AVCR_HUD(MyHUD).bDisplayHelp;
			break;
			case IK_PageUp:
				AVCRxPlayer(ViewportOwner.Actor).ChangeExperiment(1);
			break;
			case IK_PageDown:
				AVCRxPlayer(ViewportOwner.Actor).ChangeExperiment(2);
			break;
			case IK_R:
				AVCRxPlayer(ViewportOwner.Actor).ChangeExperiment(3);
			break;
			case IK_G:
				AVCR_HUD(MyHUD).bDisplayHud=!AVCR_HUD(MyHUD).bDisplayHud;
			break;
			case IK_Minus:
				AVCRxPlayer(ViewportOwner.Actor).MarkHeightDecreased();
			break;
			case IK_Equals:
				AVCRxPlayer(ViewportOwner.Actor).MarkHeightIncreased();
			break;
    		case IK_LeftBracket :
				AVCRxPlayer(ViewportOwner.Actor).SpeedDecreased();
			break;
		    case IK_RightBracket:
				AVCRxPlayer(ViewportOwner.Actor).SpeedIncreased();
			break;
		}
		return true; //This means that this key combinations won't be parsed by other KeyEvents
	}

	tmp = ViewportOwner.Actor.ConsoleCommand("KEYBINDING"@ViewportOwner.Actor.ConsoleCommand("KEYNAME"@Key));

	if ((tmp == "TurnLeft") || (tmp == "TurnRight"))
	{
		if (tmp == "TurnLeft")
		{
	    	if (Action == IST_Press)
    		{
				bPressedLeft = True;
			}
    		else if (Action == IST_Release)
    		{
				bPressedLeft = False;
			}
		}

		if (tmp == "TurnRight")
		{
	    	if (Action == IST_Press)
    		{
				bPressedRight = True;
			}
    		else if (Action == IST_Release)
    		{
				bPressedRight = False;
			}
		}

		AVCRxPlayer(ViewportOwner.Actor).ProcessTurn(bPressedLeft,bPressedRight);
		return true;
	}

    if ((Action == IST_Press) && (Key == IK_1))
    {
		AVCRxPlayer(ViewportOwner.Actor).KeyPressed(1);
	}

	if ((Action == IST_Press) && (Key == IK_2))
    {
		AVCRxPlayer(ViewportOwner.Actor).KeyPressed(2);
	}

	if ((Action == IST_Press) && (Key == IK_3))
    {
		AVCRxPlayer(ViewportOwner.Actor).KeyPressed(3);
	}

	if ((Action == IST_Press) && (Key == IK_4))
    {
		AVCRxPlayer(ViewportOwner.Actor).KeyPressed(4);
	}

	if ((Action == IST_Press) && (Key == IK_Home))
    {
		AVCRxPlayer(ViewportOwner.Actor).KeyPressed(3);
	}
    return false;
}


function PostRender( canvas Canvas )
{
	if (MyHUD != none)
    	MyHUD.PostRender(Canvas);
}


defaultproperties
{
	bActive = true
	bVisible = true
}
